volumes:
  db-data:

secrets:
  # will be mounted as `/run/secrets/db-password` file
  # in containers that use the secret
  db-password:
    file: .db-password

services:
  postgres:
    image: postgres:15.1
    restart: always
    secrets:
      - db-password
    expose:
      - 5432
    ports:
      - 5432:5432
    volumes:
      - db-data:/var/lib/postgresql/data
    environment:
      POSTGRES_USER: datahike
      POSTGRES_DB: datahike
      POSTGRES_PASSWORD_FILE: /run/secrets/db-password
